> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.datalab.to/llms.txt
> Use this file to discover all available pages before exploring further.

# List Pipelines

> List pipelines for the team.



## OpenAPI

````yaml https://www.datalab.to/openapi.json get /api/v1/pipelines
openapi: 3.1.0
info:
  title: Datalab API
  version: 0.0.1
servers:
  - url: https://www.datalab.to
    description: Datalab API
security: []
paths:
  /api/v1/pipelines:
    get:
      tags:
        - pipelines
      summary: List Pipelines
      description: List pipelines for the team.
      operationId: list_pipelines_api_v1_pipelines_get
      parameters:
        - name: saved_only
          in: query
          required: false
          schema:
            type: boolean
            default: true
            title: Saved Only
        - name: include_archived
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Include Archived
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            minimum: 1
            default: 50
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
        - name: wos-session
          in: cookie
          required: false
          schema:
            type: string
            title: Wos-Session
        - name: datalab_active_team
          in: cookie
          required: false
          schema:
            type: string
            title: Datalab Active Team
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PipelineListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    PipelineListResponse:
      properties:
        pipelines:
          items:
            $ref: '#/components/schemas/PipelineResponse'
          type: array
          title: Pipelines
        total:
          type: integer
          title: Total
      type: object
      required:
        - pipelines
        - total
      title: PipelineListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PipelineResponse:
      properties:
        id:
          type: integer
          title: Id
        pipeline_id:
          type: string
          title: Pipeline Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        steps:
          items: {}
          type: array
          title: Steps
        is_saved:
          type: boolean
          title: Is Saved
        archived:
          type: boolean
          title: Archived
        active_version:
          type: integer
          title: Active Version
        created:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created
        updated:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated
      type: object
      required:
        - id
        - pipeline_id
        - name
        - steps
        - is_saved
        - archived
        - active_version
        - created
        - updated
      title: PipelineResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````